package com.ruoyi.sim.controller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.sim.service.impl.CommSendService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.io.IOException;

@RestController
@RequestMapping("/sim/iot2222")
@Api("硬件通信DebugController")
public class HardwareCommDebugController extends BaseController {
    @Autowired
    private CommSendService service;

    @GetMapping(value = "/debugReadSimType/{simNum}")
    @ApiOperation("debugReadSimType")
    public AjaxResult debugReadSimType(@PathVariable("simNum") final String simNum) throws IOException {
        return success(service.debugReadSimType(simNum));
    }

    @GetMapping(value = "/debugReadOneFaultResistance/{simNum}/{bindHardwareMsg}")
    @ApiOperation("debugReadOneFaultResistance")
    public AjaxResult debugReadOneFaultResistance(@PathVariable("simNum") final String simNum,
                                                  @PathVariable("bindHardwareMsg") String bindHardwareMsg)
            throws IOException {
        return success(service.debugReadOneFaultResistance(simNum, bindHardwareMsg));
    }

    @GetMapping(value = "/debugReadAllFaultResistance/{simNum}/{simType}")
    @ApiOperation("debugReadOneFaultResistance")
    public AjaxResult debugReadAllFaultResistance(@PathVariable("simNum") final String simNum,
                                                  @PathVariable("simType") String simType)
            throws IOException {
        return success(service.debugReadAllFaultResistance(simNum, simType));
    }

    @GetMapping(value = "/debugClearOneFault/{simNum}/{bindHardwareMsg}")
    @ApiOperation("debugClearOneFault")
    public AjaxResult debugClearOneFault(@PathVariable("simNum") final String simNum,
                                         @PathVariable("bindHardwareMsg") final String bindHardwareMsg)
            throws IOException {
        return success(service.debugClearOneFault(simNum, bindHardwareMsg));
    }

    @GetMapping(value = "/debugClearAllFault/{simNum}/{simType}")
    @ApiOperation("debugClearAllFault")
    public AjaxResult debugClearAllFault(@PathVariable("simNum") final String simNum,
                                         @PathVariable("simType") final String simType)
            throws IOException {
        return success(service.debugClearAllFault(simNum, simType));
    }

    @GetMapping(value = "/debugWriteOneFault/{simNum}/{bindHardwareMsg}")
    @ApiOperation("debugWriteOneFault")
    public AjaxResult debugWriteOneFault(@PathVariable("simNum") final String simNum,
                                         @PathVariable("bindHardwareMsg") final String bindHardwareMsg)
            throws IOException {
        return success(service.debugWriteOneFault(simNum, bindHardwareMsg));
    }

    @GetMapping(value = "/debugWriteAllFault/{simNum}/{simType}")
    @ApiOperation("debugWriteAllFault")
    public AjaxResult debugWriteAllFault(@PathVariable("simNum") final String simNum,
                                         @PathVariable("simType") final String simType)
            throws IOException {
        return success(service.debugWriteAllFault(simNum, simType));
    }
}
